{
  inputs,
  ...
}:

{
  imports = [
    inputs.disko.nixosModules.disko
    ./hardware-configuration.nix
    ./disko-config.nix
    ./mail.nix
    ../server.nix
  ];

  nixpkgs.hostPlatform = "x86_64-linux";

  networking = {
    hostId = "08ac2f14";
    firewall = {
      enable = true;
      allowedTCPPorts = [
        22 # SSH
      ];
    };
  };

  modules = {
    services = {
      borgmatic = {
        enable = true;
        directories = [
          "/var/dkim"
          "/var/lib"
          "/var/vmail"
        ];
        repoPath = "ssh://kg2mpt28@kg2mpt28.repo.borgbase.com/./repo";
      };
    };
  };

  system.stateVersion = "22.11";
}
